# GridFire: src/include/gridfire/engine/procedures/priming.h File Reference

Loading...
Searching...
No Matches
priming.h File Reference
`#include "gridfire/engine/engine_abstract.h"`
`#include "gridfire/network.h"`
`#include "fourdst/composition/composition.h"`
`#include "fourdst/composition/atomicSpecies.h"`
`#include <map>`
`#include <ranges>`
`#include <sstream>`

Go to the source code of this file.

## Namespaces

namespace | gridfire

## Functions

PrimingReport | gridfire::primeNetwork (const NetIn &, DynamicEngine &engine)
| Primes absent species in the network to their equilibrium abundances.
double | gridfire::calculateDestructionRateConstant (const DynamicEngine &engine, const fourdst::atomic::Species &species, const std::vector< double > &Y, double T9, double rho)
| Computes the destruction rate constant for a specific species.
double | gridfire::calculateCreationRate (const DynamicEngine &engine, const fourdst::atomic::Species &species, const std::vector< double > &Y, double T9, double rho)
| Computes the creation rate for a specific species.